.btn {
    fill: var(--color-white);
    color: var(--color-white);
    outline: none;
    cursor: pointer;
    height: rem(56);
    font-weight: 400;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(12) rem(32);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: 1px solid var(--color-white);
    background: transparent;
    transition: .25s;

    &:hover {
        fill: var(--color-black);
        color: var(--color-black);
        background: var(--color-white);
        text-decoration: none;
        transition: .25s;
    }

    &:active {
        fill: var(--color-white);
        color: var(--color-white);
        background: transparent;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(18);
    }

    span + i {
        margin-left: rem(20);
    }

    i + span {
        margin-left: rem(20);
    }
}

.btn-arrow {
    justify-content: space-between;

    i {
        height: rem(8);
    }

    @media (min-width: $screen-md) {

    }
}

.btn-link {
    border: none;
}

.btn-sm {
    height: rem(44);
    font-size: rem(14);
    padding: rem(4) rem(24);
}

.btn-md {
    height: rem(48);
    padding: rem(8) rem(22);
}

.btn-nav {
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    outline: none;
    width: 56px;
    height: 56px;
    display: block;
    cursor: pointer;
    fill: var(--color-white);
    border-radius: 50%;
    background: #080808;
    align-items: center;
    border: 1px solid #545454;
    justify-content: space-between;
    transition: .25s;

    i {
        height: 8px;
        flex-shrink: 0;
        display: inline-block;
    }

    &:disabled {
        opacity: 0;
        visibility: hidden;
    }

    &:hover {
        fill: var(--color-white);
        background: #545454;
        transition: .25s;
    }
}
